#pragma once
#include "orbitersdk.h"

class OMPModule : public oapi::Module
{
public:
	OMPModule(HINSTANCE hDLL);
	~OMPModule(void);
	//virtual void clbkSimulationStart (RenderMode mode);
	virtual void clbkSimulationEnd ();
	virtual void clbkPreStep (double simt, double simdt, double mjd);
	virtual void clbkPostStep (double simt, double simdt, double mjd);
	virtual void clbkNewVessel(OBJHANDLE hVessel);
	virtual void clbkDeleteVessel(OBJHANDLE hVessel);
private:
	HINSTANCE hDLL;
};